/**
 * Trida reprezentujici osetrovatele
 * 
 * @author mict01
 * @version 1
 */

public class Osetrovatel
{
    public boolean nakrmZvire(IZvire zvire) {
        if (zvire.isNakrmeno()) {
            System.out.println("Zvire je uz nakrmeno.");
            return false;
        }
        
        System.out.println("Krmim zvire.");
        zvire.setNakrmeno(true);
        return true;
    }
    
    public IZvire starsiZvire(IZvire zvire1, IZvire zvire2) {
        if (zvire1.getVek() > zvire2.getVek()) {
            return zvire1;
        }
        return zvire2;
        
    }
    
    public IZvire tezsiZvire(IZvire zvire1, IZvire zvire2) {
        if (zvire1.getVaha() > zvire2.getVaha()) {
            return zvire1;
        }
        return zvire2;
    }
}
